import io.*;
import tools.*;

class Ordenar extends Program {
  void run() {
    Queue reales= leeCola("reales.txt");
    ordenar(reales);
    // muestraCola(reales);
  }
  Queue leeCola(String arch) {
    Queue cola= new Queue();
    TextReader lect= new TextReader(arch);
    while (true) {
      double x= lect.readDouble();
      if (lect.eofReached())
        break;
      cola.put(x);
    }
    return cola;
  }
  void muestraCola(Queue cola) {
    int tamanno= cola.size();
    int i= 1;
    while (i<=tamanno) {
      double x= cola.getDouble();
      print(x+" ");
      cola.put(x); // regresamos el valor al final de la cola
      i= i+1;
    }
    println();
  }
  double minimo(Queue cola) {
    int tamanno= cola.size();
    double min= cola.getDouble();
    int i= 1;
    while (i<tamanno) {
      double x= cola.getDouble();
      if (x>min)
        cola.put(x);
      else {
        cola.put(min);
        min= x;
      }
      i= i+1;
    }
    return min;
  }
  void ordenar(Queue cola) {
    // Construimos la cola auxiliar
    Queue aux= new Queue();
    // Hacemos un ciclo extrayendo el mnimo hasta vaciar la cola
    while (! cola.isEmpty())
      aux.put(minimo(cola)); // el mnimo lo agregamos al final de aux
    // Ahora aux est ordenada.
    // Transferimos los elementos de aux a cola.
    while (! aux.isEmpty())
      cola.put(aux.getDouble());
  }
}
