import tools.*;

class BuscaMinas extends Program {
  void run() {
    print("Nro. de filas ? ");
    int nfil= readInt();
    print("Nro. de columnas ? ");
    int ncol= readInt();
    print("Nro. de minas ? ");
    int nmin= readInt();
    int[][] mat= consCampo(nfil, ncol, nmin);
    while (true) {
      print("fila ? ");
      int fil= readInt();
      print("columna ? ");
      int col= readInt();
      if (mat[fil][col]==1) {
        println("Booooom! perdiste.");
        break;
      }
      println("Minas adyacentes: "+contarMinas(mat, nfil, ncol, fil, col));
    }
  }

  int[][] consCampo(int nfil, int ncol, int nmin) {
    int[][] mat= new int[nfil][ncol];
    for (int n=0; n<nmin; n++) {
      int i= trunc(random()*nfil);
      int j= trunc(random()*ncol);
      mat[i][j]= 1;
    }
    return mat;
  }

  int contarMinas(int[][] mat, int nfil, int ncol, int fil, int col) {
    int cont= 0;
    for (int i= fil-1; i<=fil+1; i++)
      for (int j= col-1; j<=col+1; j++)
        if (i>=0 && i<nfil && j>=0 && j<ncol)
          cont+= mat[i][j];
    return cont; // -mat[fil][col]
  }
}
