import tools.*;

class Recuento extends Program {
  void run() {
    StringMap recuento= new StringMap();
    TextReader lect= new TextReader("votos.txt");
    while (true) { // Cuenta las apariciones
      String nombre= lect.readLine();
      if (lect.eofReached())
        break;
      int votos= 0;
      if (recuento.isMapped(nombre))
        votos= recuento.getInt(nombre);
      recuento.put(nombre, votos+1);
    }
    // Muestra los resultados
    StringKeyEnum enum= recuento.keys();
    while (enum.hasMoreKeys()) {
      String nombre= enum.nextKey();
      println(nombre+": "+recuento.getInt(nombre));
    }
  }
}

