package tools;

import java.io.*;

public class TextReader {

  GenericTextReader in;

  // Constructors
  public TextReader(String fn) {
    in= new TokenTextReader(fn);
  }

  public TextReader(String fn, String sep) {
    in= new FieldTextReader(fn, sep);
  }

  // Methods

  public void close() { in.close(); }
  public boolean eofReached() { return in.eofReached(); }
  public String readLine() { return in.readLine(); }
  public String readString() { return in.readString(); }
  public int readInt() { return in.readInt(); }
  public double readDouble() { return in.readDouble(); }
  public boolean readBoolean() { return in.readBoolean(); }
  public void skip() { in.skip(); }
  public boolean hasMoreFields() { return in.hasMoreFields(); }
}
