class Suma extends Program {
  void run() {
    Tiempo t= new Tiempo(8,0);
    Tiempo tfin= new Tiempo(22,0);
    Tiempo periodo= new Tiempo(1,25);
    while (t.comparar(tfin)<=0) {
      t.escribir();
      t.sumar(periodo);
    }
  }
}

class Tiempo extends Program {
  // Variables de instancia
  int horas;
  int min;

  // constructor de instantes de tiempo
  Tiempo(int h, int m) {
    this.horas= h;
    this.min= m;
  }

  // Mtodos para sumar, escribir y comparar
  void sumar(Tiempo t2) {
    this.horas= this.horas+t2.horas + (this.min+t2.min)/60;
    this.min= (this.min+t2.min)%60;
  }

  void escribir() {
    println(this.horas+":"+this.min);
  }

  int comparar(Tiempo t2) {
    int min1= this.horas*60+this.min;
    int min2= t2.horas*60+t2.min;
    if (min1==min2)
      return 0;
    if (min1<min2)
      return -1;
    return 1;
  }
}
