import tools.*;

class Pacientes extends Program {
  void run() {
    Queue pacientes= new Queue();
    println("Ingrese una n para agregar un paciente");
    println("Ingrese una s para atender un paciente");
    println("Ingrese una f para terminar");
    while (true) {
      // Seleccionar una opcion
      print("opcion ? ");
      String opcion= readLine();
      if (equals(opcion, "n")) {
        // Ha llegado un nuevo paciente.  Se pide el nombre y se agrega
        // a la cola.
        println("Nombre del paciente ? ");
        String nombre= readLine();
        pacientes.put(nombre);
      }
      else if (equals(opcion, "s")) {
        // El medico queda disponible para atender un nuevo paciente.
        // El nombre del proximo paciente es aquel que se encuentra
        // en primer lugar en la cola.
        if (pacientes.isEmpty()) {
          println("No hay pacientes en espera");
        }
        else {
          String nombre= pacientes.getString();
          println("Atender al paciente: "+nombre);
        }
      }
      else if (equals(opcion, "f")) {
        break;
      }
      else {
        println("Ingrese solo n, s o f");
      }
    }
  }
}
