package tools;

import java.io.*;

public class RawTextWriter extends GenericTextWriter {

  PrintWriter out;
  String fn;

  public RawTextWriter(String fn) {
    this.fn= fn;
    try {
      out= new PrintWriter(new BufferedWriter(new FileWriter(fn)));
    }
    catch ( IOException excp ) {
      throw new ProgramException(
        "An output exception happened while opening file "+fn, excp);
    }
  }

  public void close() { out.close(); }
  public void flush() { out.flush(); }

  public void print(int n) { out.print(n); }
  public void print(double x) { out.print(x); }
  public void print(String s) { out.print(s); }
  public void println() { out.println(); }
}
